package com.smppw.analysis.application.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/8/7 16:24
 * @description 基本请求参数，用来做接口签名验证的，验证通过后把这些参数洗掉
 */
@Setter
@Getter
public abstract class BaseReq<R> {
    /**
     * 参数签名，防止参数被篡改
     */
    private String sign;
    /**
     * 随机字符串，防止重放攻击
     */
    private String nonce;
    /**
     * 时间戳，防止重放攻击
     */
    private long timestamp;

    public abstract R convert();
}
