package com.smppw.analysis.application.dto.info;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @author wangzaijun
 * @date 2023/8/7 16:51
 * @description 统一设置返回数据
 */
@Setter
@Getter
public class CommonInfoVO {
    /**
     * 当前标的的基准id
     */
    private String benchmarkId;
    /**
     * 支持的净值频率
     * 前端把公募基金固定为日频
     */
    private List<ValueLabelVO> frequency;
    /**
     * 净值类型
     */
    private List<ValueLabelVO> navType;
    /**
     * 时段
     */
    private Map<String, String> timeRangeMap;
    /**
     * 所有可用的基准
     */
    private List<ValueLabelVO> usefulBenchmark;
    /**
     * 开始日期
     */
    private String startDate;
    /**
     * 结束日期
     */
    private String endDate;
}
