package com.smppw.analysis.application.dto.info;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.application.dto.BaseReq;
import com.smppw.analysis.domain.dto.info.FundSimilarParams;
import com.smppw.common.pojo.enums.RaiseType;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/3/22 16:58
 * @description 相似产品(仅支持私募基金) 接口请求参数
 */
@Setter
@Getter
public class FundSimilarReq extends BaseReq<FundSimilarParams> {
    public static final String DEFAULT_THRESHOLD = "0.85";
    /**
     * 基金id
     */
    private String refId;
    /**
     * 1-市场同策略，2-管理人同策略
     */
    private Integer calcType = 2;
    /**
     * 相关性阈值，小数
     */
    private String threshold = DEFAULT_THRESHOLD;
    /**
     * 募集类型
     */
    private RaiseType raiseType;
    /**
     * 末级策略，head-info接口返回的
     */
    private String strategy;

    @Override
    public FundSimilarParams convert() {
        return BeanUtil.copyProperties(this, FundSimilarParams.class);
    }
}
