package com.smppw.analysis.application.dto.info;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/8/7 18:18
 * @description 公共的头部信息
 */
@Setter
@Getter
public abstract class HeadInfoVO {
    /**
     * 基金id，'HF'开头(后加36进制编码格式,不足8位长度左补零） 例：HF00000001
     */
    private String refId;
    /**
     * 供前端使用 方便他们判断
     */
    private String detailId;
    /**
     * 基金中文简称
     */
    private String refShortName;
    /**
     * 基金中文全称
     */
    private String refName;
    /**
     * 备案编码
     */
    private String registerNumber;
    /**
     * 备案编码跳转到中基协链接
     */
    private String amacUrl;
    /**
     * 公私募类型
     */
    private String raiseType;
    /**
     * 公私募类型
     */
    private String raiseTypeValue;
    /**
     * 成立日期
     */
    private String inceptionDate;
    /**
     * 一级策略id
     */
    private String strategyId;
    /**
     * 一级策略名称
     */
    private String strategy;
    /**
     * 二级策略id
     */
    private String substrategyId;
    /**
     * 二级策略名称
     */
    private String substrategy;
    /**
     * 公司规模
     */
    private Byte companyAssetSize;
    /**
     * 合并后的策略
     */
    private String strategySummaryName;
    /**
     * 最新净值日期
     */
    private String priceDate;
    /**
     * 是否小于500万
     */
    private ValueLabelVO lowerThanFiveMillionLabel;
}
