package com.smppw.analysis.application.dto.info;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/8/7 16:41
 * @description 货币型公募基金 头部
 */
@Setter
@Getter
public class PubilclyCurrencyFundHeadInfoVO {
    /**
     * 基金管理人ID
     */
    private String trustId;
    /**
     * 基金管理人
     */
    private String trustName;
    /**
     * 基金经理 id:名称
     */
    private List<ValueLabelVO> managers;
    /**
     * 基金状态值
     */
    private String fundStatusValue;
    /**
     * 基金规模---仅仅公募用
     */
    private String fundSize;

    /**
     * 基金规模日期---基金公募用（货币型）
     */
    private String fundSizeDate;

    /**
     * 基金规模--仅仅公募用--单位
     */
    private String fundSizeUnit;
    /**
     * 是否货币型公募基金
     */
    private Integer isCurrency;
    /**
     * 7日年化收益
     */
    private BigDecimal profitSevenDayAnnual;
    /**
     * 百份、万份、百万份收益
     */
    private BigDecimal retPerUnit;

    /**
     * 单位- 1:百份  2：万份  3：百万份
     */
    private String publicWorthUnit;
}
