package com.smppw.analysis.application.dto.performance;

import com.smppw.analysis.application.dto.BaseReq;
import com.smppw.analysis.domain.dto.performance.Params;
import com.smppw.common.pojo.enums.Frequency;
import com.smppw.common.pojo.enums.NavType;
import com.smppw.common.pojo.enums.RaiseType;
import com.smppw.common.pojo.enums.TimeRange;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
public abstract class BasePerformanceReq<R extends Params> extends BaseReq<R> {
    /**
     * 标的id，包括基金、机构和经理
     */
    private List<String> refIds;
    /**
     * 基准
     */
    private String benchmarkId;
    /**
     * 对比指数
     */
    private List<String> secIds;
    /**
     * 净值类型
     */
    private NavType navType;
    /**
     * 时段
     */
    private TimeRange timeRange;
    /**
     * 频率
     */
    private Frequency frequency;
    /**
     * 标的类型
     */
    private RaiseType raiseType;
    /**
     * 二级策略
     */
    private String strategy;
    /**
     * 开始日期
     */
    private String startDate;
    /**
     * 结束日期
     */
    private String endDate;
}
