package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.ListUtil;
import com.smppw.analysis.domain.dto.performance.TrendParams;
import com.smppw.common.pojo.enums.TrendType;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/8/8 15:48
 * @description 货币型基金业绩走势图接口请求参数
 */
@Setter
@Getter
public class ImfTrendReq extends BasePerformanceReq<TrendParams> {
    @Override
    public TrendParams convert() {
        List<TrendType> trendTypes = ListUtil.toList(TrendType.Ret, TrendType.Nav, TrendType.ExtraNav, TrendType.OrigNav,
                TrendType.NetValueChange, TrendType.ExtraRetGeo);
        List<TrendType> indexTrendTypes = ListUtil.toList(TrendType.Ret, TrendType.OrigNav);
        TrendParams params = BeanUtil.copyProperties(this, TrendParams.class);
        params.setTrendTypes(trendTypes);
        params.setIndexTrendTypes(indexTrendTypes);
        return params;
    }
}
