package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.ListUtil;
import com.smppw.analysis.domain.dto.performance.TrendParams;
import com.smppw.common.pojo.enums.TrendType;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/8/8 11:15
 * @description 业绩走势接口请求参数
 */
public class TrendReq extends BasePerformanceReq<TrendParams> {
    @Override
    public TrendParams convert() {
        List<TrendType> trendTypes = ListUtil.toList(TrendType.Ret, TrendType.Nav, TrendType.ExtraNav, TrendType.OrigNav,
                TrendType.ExtraRetAri, TrendType.NetValueChange, TrendType.ExtraRetGeo, TrendType.DrawdownTrend);
        TrendParams params = BeanUtil.copyProperties(this, TrendParams.class);
        params.setTrendTypes(trendTypes);
        params.setIndexTrendTypes(ListUtil.toList(TrendType.Ret, TrendType.OrigNav));
        return params;
    }
}
