package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.AssetCategoryEnum;
import com.smppw.analysis.domain.dto.position.synthesize.PositionListParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 11:30
 * @description 持仓列表，后续需要支持穿透
 */
@Setter
@Getter
public class PositionListReq extends BasePositionReq<PositionListParams> {
    /**
     * 数量，前10、前20、前50，-1-全部，默认前10
     */
    private String num;
    /**
     * 类别
     *
     * @see AssetCategoryEnum
     */
    private String type;
    /**
     * 估值日期
     */
    private String date;

    @Override
    public PositionListParams convert() {
        return BeanUtil.copyProperties(this, PositionListParams.class);
    }
}
