package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.stock.StockAllocationParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 15:27
 * @description 行业配置\风格配置或流动性 接口请求参数
 */
@Setter
@Getter
public class StockAllocationReq extends BasePositionReq<StockAllocationParams> {
    /**
     * 基准，只支持 沪深300、中证500、中证1000
     */
    private String benchmarkId;
    /**
     * 方向约束，默认多空，其他条件不生效
     * 1-多头，2-空头，3-多空
     */
    private String constraint;

    @Override
    public StockAllocationParams convert() {
        return BeanUtil.copyProperties(this, StockAllocationParams.class);
    }
}
