package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.stock.StockPerformanceAttributionParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 16:31
 * @description 股票业绩归因 接口请求参数
 */
@Setter
@Getter
public class StockPerformanceAttributionReq extends BasePositionReq<StockPerformanceAttributionParams> {
    /**
     * 基准，只支持 沪深300、中证500、中证1000
     */
    private String benchmarkId;
    /**
     * 是否年化，默认不年化
     */
    private Boolean ifAnnualized;

    @Override
    public StockPerformanceAttributionParams convert() {
        return BeanUtil.copyProperties(this, StockPerformanceAttributionParams.class);
    }
}
