package com.smppw.analysis.application.dto.style;

import com.smppw.analysis.application.dto.BaseReq;
import com.smppw.analysis.domain.dto.style.BaseParams;
import com.smppw.common.pojo.enums.Frequency;
import com.smppw.common.pojo.enums.RaiseType;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public abstract class BaseStyleReq<R extends BaseParams> extends BaseReq {
    /**
     * 标的id，包括基金、机构行业经理
     */
    private String secId;
    /**
     * 开始日期
     */
    private String startDate;
    /**
     * 结束日期
     */
    private String endDate;
    /**
     * 滚动期数，默认24期
     */
    private String winlen;
    /**
     * 滚动步长，默认1
     */
    private String step;
    /**
     * 净值频率
     */
    private Frequency frequency;

    private RaiseType raiseType;

    private String strategy;

    public abstract R convert();
}
