package com.smppw.analysis.application.service.position;

import com.smppw.analysis.domain.manager.position.future.FundFuturesOptionBaseService;
import com.smppw.common.pojo.ResultVo;
import com.smppw.common.pojo.enums.status.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * FileName: FundFuturesOptionService
 * Author:   chenjianhua
 * Date:     2023/6/8 14:11
 * Description: ${DESCRIPTION}
 */
@Component
public class FundFuturesOptionService {

    @Autowired
    private FundFuturesOptionBaseService fundFuturesOptionBaseService;

    public ResultVo<Map<String, Object>> fundFuturesOption(Integer userId, String fundId, Integer optionType, Integer shType, String startDate, String endDate) {
        Map<String, Object> result = fundFuturesOptionBaseService.fundFuturesOption(userId, fundId, optionType, shType, startDate, endDate);
        return new ResultVo<>(ResultCode.SUCCESS, result);
    }

    public ResultVo<Map<String, Object>> fundPositionAnalysis(Integer userId, String fundId, Integer optionType, Integer shType, String startDate, String endDate) {
        Map<String, Object> result = fundFuturesOptionBaseService.fundPositionAnalysis(userId, fundId, optionType, shType, startDate, endDate);
        return new ResultVo<>(ResultCode.SUCCESS, result);
    }

    public ResultVo<Map<String, Object>> fundDerivativeLeverageMargin(Integer userId, String fundId, Integer shType, String startDate, String endDate) {
        Map<String, Object> result = fundFuturesOptionBaseService.fundDerivativeLeverageMargin(userId, fundId, shType, startDate, endDate);
        return new ResultVo<>(ResultCode.SUCCESS, result);
    }

    public ResultVo<Map<String, Object>> fundPositionAnalysisLine(Integer userId, String fundId, Integer optionType, Integer shType, String startDate, String endDate) {
        Map<String, Object> result = fundFuturesOptionBaseService.fundPositionAnalysisLine(userId, fundId, optionType, shType, startDate, endDate);
        return new ResultVo<>(ResultCode.SUCCESS, result);
    }

    public ResultVo<Map<String, Object>> fundFuturesOptionForBreed(Integer userId, String fundId, Integer optionType, Integer shType, String startDate, String endDate) {
        Map<String, Object> result = fundFuturesOptionBaseService.fundFuturesOptionForBreed(userId, fundId, optionType, shType, startDate, endDate);
        return new ResultVo<>(ResultCode.SUCCESS, result);
    }

    public ResultVo<Map<String, List<String>>> fundFuturesOptionView() {
        Map<String, List<String>> result = fundFuturesOptionBaseService.fundFuturesOptionView();
        return new ResultVo<>(ResultCode.SUCCESS, result);
    }
}
