package com.smppw.analysis.application.service.style;


import com.smppw.analysis.domain.dto.style.*;

import java.util.Map;

/**
 * @author wangzaijun
 * @date 2023/3/10 18:29
 * @description 风格测评 业务接口 (全部现金项先保留，MVP版本发布后去掉)
 */
public interface StyleService {
    /**
     * 股票五因子-业绩归因
     *
     * @param params 请求参数
     * @return /
     */
    Map<String, Object> stockAttribution(StockAttributionParams params);

    /**
     * 债券业绩归因
     *
     * @param params 请求参数
     * @return /
     */
    Map<String, Object> bondAttribution(BondAttributionParams params);

    /**
     * 相对价值业绩归因
     *
     * @param params 请求参数
     * @return /
     */
    Map<String, Object> relativeAttribution(RelativeAttributionParams params);

    /**
     * 成长价值风格
     *
     * @param params 请求参数
     * @return /
     */
    FundStyleVO growthValue(GrowthValueParams params);

    /**
     * 行业配置风格
     *
     * @param params 请求参数
     * @return /
     */
    FundStyleVO industryValue(IndustryValueParams params);

    /**
     * 期货风格
     *
     * @param params 请求参数
     * @return /
     */
    Map<String, Object> futureFactor(FutureFactorParams params);

    /**
     * 自定义风格
     *
     * @param params 请求参数
     * @return /
     */
    CustomRbsaVO customRbsa(CustomRbsaParams params);

    /**
     * barra概览
     *
     * @param params 请求参数
     * @return /
     */
    Map<String, Object> barraOverview(BarraStyleParams params);

    /**
     * barra风格
     *
     * @param params 请求参数
     * @return /
     */
    Map<String, Object> barraRiskProfit(BarraStyleParams params);

    /**
     * 选股择时能力
     *
     * @param params 请求参数
     * @return /
     */
    Map<String, Object> selectionTiming(SelectionTimingParams params);

    /**
     * 融智 风格总览 （融智改排排网）
     * todo 存储过程转换
     *
     * @param params 请求参数
     * @return /
     */
    Map<String, Object> rzStyle(RzStyleParams params);
}
