package com.smppw.analysis.client;

import com.smppw.analysis.application.dto.info.*;
import com.smppw.analysis.application.service.info.FundInfoService;
import com.smppw.common.pojo.ResultVo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wangzaijun
 * @date 2023/8/7 15:40
 * @description 基本信息api
 */
@RestController
@RequestMapping("/v1/api/fund")
public class FundApi {
    private final FundInfoService service;

    public FundApi(FundInfoService service) {
        this.service = service;
    }

    @GetMapping("head-info")
    public ResultVo<? extends HeadInfoVO> headInfo(HeadInfoReq params) {
        return ResultVo.ok(this.service.headInfo(params));
    }

    @GetMapping("common-info")
    public ResultVo<CommonInfoVO> commonInfo(CommonInfoReq params) {
        return ResultVo.ok(this.service.commonInfo(params));
    }

    @GetMapping("head-indicator")
    public ResultVo<HeadIndicatorVO> headIndicator(HeadIndicatorReq params) {
        return ResultVo.ok(this.service.headIndicator(params));
    }
}
