package com.smppw.analysis.domain.dataobject;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Rain
 * @date 2023/6/12 10:56
 * @description
 */
public class BondBasicInformationDO {
    private Integer id;

    /**
     * 标的ID
     */
    private String secId;

    /**
     * 债券唯一标识
     */
    private String bondId;

    /**
     * 债券主代码
     */
    private Integer mainCode;

    /**
     * 债券全称
     */
    private String bondFullName;

    /**
     * base_underlying_information标识uni_code
     */
    private String bondUniCode;

    /**
     * 债券类型
     */
    private String bondType;

    /**
     * 债券种类
     */
    private Integer bondNature;

    /**
     * 发行日期
     */
    private Date inceptionDate;

    /**
     * 实际发行
     * 量
     */
    private String issueSize;

    /**
     * 计息方式
     */
    private String couponType;

    /**
     * 计息方式:1-单利(固定利率)，2-复利，3-浮动利率，4-累进利率，5-贴现，6-无序利率 7-零息债
     */
    private Integer compoundMethod;

    /**
     * 付息方式:1-每年付息 2-半年付息 3-到期一次还本付息 4-按季付息 5-按月付息
     */
    private Integer intPaymentMethod;

    /**
     * 票面利率
     */
    private BigDecimal nominalInterestRate;

    /**
     * 发行期限
     */
    private String maturity;

    /**
     * 起息日
     */
    private Date accrualStartDate;

    /**
     * 到期日
     */
    private Date maturityDate;

    /**
     * 债券信用评级
     */
    private String creditRating;

    /**
     * 发债主体信用评级
     */
    private String issuerCreditRating;

    /**
     * 记录的有效性；1-有效；0-无效；
     */
    private Byte isvalid;

    /**
     * 创建者Id,默认第一次创建者名称，创建后不变更
     */
    private Integer creatorid;

    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    private Date createtime;

    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer updaterid;

    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    private Date updatetime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSecId() {
        return secId;
    }

    public void setSecId(String secId) {
        this.secId = secId;
    }

    public String getBondId() {
        return bondId;
    }

    public void setBondId(String bondId) {
        this.bondId = bondId;
    }

    public Integer getMainCode() {
        return mainCode;
    }

    public void setMainCode(Integer mainCode) {
        this.mainCode = mainCode;
    }

    public String getBondFullName() {
        return bondFullName;
    }

    public void setBondFullName(String bondFullName) {
        this.bondFullName = bondFullName;
    }

    public String getBondUniCode() {
        return bondUniCode;
    }

    public void setBondUniCode(String bondUniCode) {
        this.bondUniCode = bondUniCode;
    }

    public String getBondType() {
        return bondType;
    }

    public void setBondType(String bondType) {
        this.bondType = bondType;
    }

    public Integer getBondNature() {
        return bondNature;
    }

    public void setBondNature(Integer bondNature) {
        this.bondNature = bondNature;
    }

    public Date getInceptionDate() {
        return inceptionDate;
    }

    public void setInceptionDate(Date inceptionDate) {
        this.inceptionDate = inceptionDate;
    }

    public String getIssueSize() {
        return issueSize;
    }

    public void setIssueSize(String issueSize) {
        this.issueSize = issueSize;
    }

    public String getCouponType() {
        return couponType;
    }

    public void setCouponType(String couponType) {
        this.couponType = couponType;
    }

    public Integer getCompoundMethod() {
        return compoundMethod;
    }

    public void setCompoundMethod(Integer compoundMethod) {
        this.compoundMethod = compoundMethod;
    }

    public Integer getIntPaymentMethod() {
        return intPaymentMethod;
    }

    public void setIntPaymentMethod(Integer intPaymentMethod) {
        this.intPaymentMethod = intPaymentMethod;
    }

    public BigDecimal getNominalInterestRate() {
        return nominalInterestRate;
    }

    public void setNominalInterestRate(BigDecimal nominalInterestRate) {
        this.nominalInterestRate = nominalInterestRate;
    }

    public String getMaturity() {
        return maturity;
    }

    public void setMaturity(String maturity) {
        this.maturity = maturity;
    }

    public Date getAccrualStartDate() {
        return accrualStartDate;
    }

    public void setAccrualStartDate(Date accrualStartDate) {
        this.accrualStartDate = accrualStartDate;
    }

    public Date getMaturityDate() {
        return maturityDate;
    }

    public void setMaturityDate(Date maturityDate) {
        this.maturityDate = maturityDate;
    }

    public String getCreditRating() {
        return creditRating;
    }

    public void setCreditRating(String creditRating) {
        this.creditRating = creditRating;
    }

    public String getIssuerCreditRating() {
        return issuerCreditRating;
    }

    public void setIssuerCreditRating(String issuerCreditRating) {
        this.issuerCreditRating = issuerCreditRating;
    }

    public Byte getIsvalid() {
        return isvalid;
    }

    public void setIsvalid(Byte isvalid) {
        this.isvalid = isvalid;
    }

    public Integer getCreatorid() {
        return creatorid;
    }

    public void setCreatorid(Integer creatorid) {
        this.creatorid = creatorid;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Integer getUpdaterid() {
        return updaterid;
    }

    public void setUpdaterid(Integer updaterid) {
        this.updaterid = updaterid;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}