package com.smppw.analysis.domain.dataobject;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
    * 过程绘制基金频率表
    */
@Data
public class FundFrequencyDo {
    /**
    * 主键id无意义
    */
    private Integer id;

    /**
    * 基金id
    */
    private String fundId;

    /**
    * 净值频率：日/周/月
    */
    private String navFrequency;

    /**
    * 基金净值数量
    */
    private Integer navCount;

    /**
    * 日频比率（净值/交易日）
    */
    private BigDecimal dailyRatio;

    /**
    * 周频比率（净值周/交易周）
    */
    private BigDecimal weeklyRatio;

    /**
    * 月频比率（净值月/交易月）
    */
    private BigDecimal monthlyRatio;

    /**
    * 季频比率（净值季/交易季）
    */
    private BigDecimal quartlyRatio;

    /**
    * 创建者Id,默认第一次创建者名称，创建后不变更
    */
    private Integer creatorid;

    /**
    * 创建时间,默认第一次创建的getdate()时间
    */
    private Date createtime;

    /**
    * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
    */
    private Integer updaterid;

    /**
    * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
    */
    private Date updatetime;

    /**
    * 记录的有效性；1-有效；0-无效；
    */
    private Integer isvalid;
}