package com.smppw.analysis.domain.dataobject;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangzaijun
 * @date 2023/6/7 15:52
 * @description 公募基金基本持仓信息
 */
@Setter
@Getter
public class FundPositionBaseInfoDO {
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 估值日期
     */
    private Date reportDate;
    /**
     * 货币市场工具资产市值(元)
     */
    private BigDecimal mvOfMoney;
    /**
     * 货币市场工具占资产净值比例
     */
    private BigDecimal rinOfMoney;
    /**
     * 固定收益类投资资产市值
     */
    private BigDecimal mvOfFixedIncome;
    /**
     * 固定收益类投资占资产净值比例
     */
    private BigDecimal rinOfFixedIncome;
    /**
     * 权益类投资资产市值
     */
    private BigDecimal mvOfEquity;
    /**
     * 权益类投资占资产净值比例
     */
    private BigDecimal rinOfEquity;
    /**
     * 基金投资合计资产市值(元)
     */
    private BigDecimal mvOfFund;
    /**
     * 基金投资合计占资产净值比例
     */
    private BigDecimal rinOfFund;
    /**
     * 买入返售证券资产市值(元)
     */
    private BigDecimal mvOfReturnSale;
    /**
     * 买入返售证券占资产净值比例
     */
    private BigDecimal rinOfReturnSale;
    /**
     * 金融衍生品投资资产市值(元)
     */
    private BigDecimal mvOfFixedDeriva;
    /**
     * 金融衍生品投资占资产净值比例
     */
    private BigDecimal rinOfDeriva;
    /**
     * 总资产
     */
    private BigDecimal totalAsset;
    /**
     * 基金净资产值
     */
    private BigDecimal assetNv;
}
