package com.smppw.analysis.domain.dataobject;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangzaijun
 * @date 2023/6/7 15:52
 * @description 公募基金基本持仓信息
 */
@Setter
@Getter
public class FundPositionDetailDO {
    /**
     * 标的ID
     */
    private String secId;
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 估值日期
     */
    private Date valuationDate;
    /**
     * 证券代码
     */
    private String securitiesCode;
    /**
     * 证券名称
     */
    private String securitiesName;
    /**
     * 0-股票市场，1-债券市场，2-商品期货(未使用)，3-期货，4-外汇(未使用)，5-贵金属(未使用)，6-公募基金，7-私募基金，8-货币(未使用)，9-金融期货(未使用) 20-权证 21-所持流通受限制证券 22-QDII
     */
    private Integer secType;
    /**
     * 证券数量
     */
    private BigDecimal securitiesAmount;

    /**
     * 空投证券数量
     */
    private BigDecimal airdropSecuritiesAmount;
    /**
     * 数量变化
     */
    private BigDecimal numberChange;
    /**
     * 市值
     */
    private BigDecimal marketValue;
    /**
     * 市值占净值
     */
    private BigDecimal marketValueRatio;
    /**
     * 持仓性质:1-多 2-空
     */
    private Integer sharesNature;

    private String bondType;

    /**
     * 多空轧差市值
     */
    private BigDecimal nettingMarketValue;

    /**
     * 空投市值
     */
    private BigDecimal airdropMarketValue;

    /**
     * 空投市占净值比
     */
    private BigDecimal airdropMarketValueRatio;
}
