package com.smppw.analysis.domain.dataobject;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author mozuwen
 * @date 2023/8/9 9:30
 * @description 基金风格指标表DO
 */
@Data
public class FundStyleStatsDO {

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 今年以来的上行捕获收益率
     */
    private BigDecimal upsideCaptureRetYtd;

    /**
     * 最近半年的上行捕获收益率
     */
    private BigDecimal upsideCaptureRet6m;

    /**
     * 最近一年的上行捕获收益率
     */
    private BigDecimal upsideCaptureRet1y;

    /**
     * 最近两年的上行捕获收益率
     */
    private BigDecimal upsideCaptureRet2y;

    /**
     * 最近三年的上行捕获收益率
     */
    private BigDecimal upsideCaptureRet3y;

    /**
     * 最近四年的上行捕获收益率
     */
    private BigDecimal upsideCaptureRet4y;

    /**
     * 最近五年的上行捕获收益率
     */
    private BigDecimal upsideCaptureRet5y;

    /**
     * 最近十年的上行捕获收益率
     */
    private BigDecimal upsideCaptureRet10y;

    /**
     * 成立以来的上行捕获收益率
     */
    private BigDecimal upsideCaptureRetIncep;

    /**
     * 今年以来的下行捕获收益率
     */
    private BigDecimal downsideCaptureRetYtd;

    /**
     * 最近半年的下行捕获收益率
     */
    private BigDecimal downsideCaptureRet6m;

    /**
     * 最近一年的下行捕获收益率
     */
    private BigDecimal downsideCaptureRet1y;

    /**
     * 最近两年的下行捕获收益率
     */
    private BigDecimal downsideCaptureRet2y;

    /**
     * 最近三年的下行捕获收益率
     */
    private BigDecimal downsideCaptureRet3y;

    /**
     * 最近四年的下行捕获收益率
     */
    private BigDecimal downsideCaptureRet4y;

    /**
     * 最近五年的下行捕获收益率
     */
    private BigDecimal downsideCaptureRet5y;

    /**
     * 最近十年的下行捕获收益率
     */
    private BigDecimal downsideCaptureRet10y;

    /**
     * 成立以来的下行捕获收益率
     */
    private BigDecimal downsideCaptureRetIncep;

    /**
     * 今年以来的上行捕获率
     */
    private BigDecimal upsideCaptureRatioYtd;

    /**
     * 最近半年的上行捕获率
     */
    private BigDecimal upsideCaptureRatio6m;

    /**
     * 最近一年的上行捕获率
     */
    private BigDecimal upsideCaptureRatio1y;

    /**
     * 最近两年的上行捕获率
     */
    private BigDecimal upsideCaptureRatio2y;

    /**
     * 最近三年的上行捕获率
     */
    private BigDecimal upsideCaptureRatio3y;

    /**
     * 最近四年的上行捕获率
     */
    private BigDecimal upsideCaptureRatio4y;

    /**
     * 最近五年的上行捕获率
     */
    private BigDecimal upsideCaptureRatio5y;

    /**
     * 最近十年的上行捕获率
     */
    private BigDecimal upsideCaptureRatio10y;

    /**
     * 成立以来的上行捕获率
     */
    private BigDecimal upsideCaptureRatioIncep;

    /**
     * 今年以来的下行捕获率
     */
    private BigDecimal downsideCaptureRatioYtd;

    /**
     * 最近半年的下行捕获率
     */
    private BigDecimal downsideCaptureRatio6m;

    /**
     * 最近一年的下行捕获率
     */
    private BigDecimal downsideCaptureRatio1y;

    /**
     * 最近两年的下行捕获率
     */
    private BigDecimal downsideCaptureRatio2y;

    /**
     * 最近三年的下行捕获率
     */
    private BigDecimal downsideCaptureRatio3y;

    /**
     * 最近四年的下行捕获率
     */
    private BigDecimal downsideCaptureRatio4y;

    /**
     * 最近五年的下行捕获率
     */
    private BigDecimal downsideCaptureRatio5y;

    /**
     * 最近十年的下行捕获率
     */
    private BigDecimal downsideCaptureRatio10y;

    /**
     * 成立以来的下行捕获率
     */
    private BigDecimal downsideCaptureRatioIncep;

    /**
     * 截止日期
     */
    private String endDate;

    /**
     * 创建者id
     */
    private Integer creatorid;

    /**
     * 创建时间
     */
    private Date createtime;

    /**
     * 修改者id
     */
    private Integer updaterid;

    /**
     * 修改时间
     */
    private Date updatetime;

    /**
     * 记录的有效性；1-有效；0-无效；
     */
    private Integer isvalid;

}

