package com.smppw.analysis.domain.dataobject;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
    * 指数基本信息表
    */
@Data
public class IndexesProfileDo {
    /**
    * id
    */
    private Integer id;

    /**
    * 指数Id
    */
    private String indexId;

    /**
    * 指数类型，见池库基础参数表
    */
    private Integer indexType;

    /**
    * 指数二级类型，见池库基础参数表
    */
    private Integer indexTypeSecond;

    /**
    * 指数三级类型，见池库基础参数表
    */
    private Integer indexTypeThird;

    /**
    * 指数类型：1-对冲基金指数、2-信心指数、3-公募基金指数、4-沪深港股票指数、5-全球股票指数、6-金汇期指、7-无风险利率、-1-其他
    */
    private Integer indexTypeId;

    /**
    * 指数代码
    */
    private String indexCode;

    /**
    * 指数中文全称
    */
    private String indexName;

    /**
    * 指数中文简称
    */
    private String indexShortName;

    /**
    * 1-中国，2-全球
    */
    private Integer indexAreaFlag;

    /**
    * 指数提供机构ID
    */
    private String indexFamilyId;

    /**
    * 指数发布周期，1-日度、2-周、3-月度、4-季度、5-半年度、6-年度

    */
    private Integer pricingFrequency;

    /**
    * 指数基期，指数开始日期
    */
    private Date inceptionDate;

    /**
    * 指数基点
    */
    private BigDecimal indexInitialValue;

    /**
    * 计算指数所使用的货币，1-人民币、2-港币、3-美元、4-新加坡元、-1-不详
    */
    private Integer baseCurrency;

    /**
    * 编制指数所使用的计算方法
    */
    private String calculationMethod;

    /**
    * 计算成份基金权重的方法
    */
    private String weightingScheme;

    /**
    * 成份基金筛选方法
    */
    private String selectionScheme;

    /**
    * 指数重构周期，1-周、2-月度、3-季度、4-半年度、5-年度、-1-其他
    */
    private Integer reconstitutionFrequency;

    /**
    * 指数调整周期，1-周、2-月度、3-季度、4-半年度、5-年度、-1-其他
    */
    private Integer rebalanceFrequency;

    /**
    * 是否可见：1-是，0-否
    */
    private Byte isvisible;

    /**
    * 创建者Id,默认第一次创建者名称，创建后不变更
    */
    private Integer creatorid;

    /**
    * 创建时间,默认第一次创建的getdate()时间
    */
    private Date createtime;

    /**
    * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
    */
    private Integer updaterid;

    /**
    * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
    */
    private Date updatetime;

    /**
    * 记录的有效性；1-有效；0-无效；
    */
    private Byte isvalid;

    /**
    * 质检员ID
    */
    private String qc;

    /**
    * 质检日期
    */
    private Date qcdate;

    /**
    * 质检状态
    */
    private Integer qcstate;

    /**
    * 审核人员ID
    */
    private String auditor;

    /**
    * 审核时间
    */
    private Date auditdate;

    /**
    * 审核状态
    */
    private Integer auditstate;

    /**
    * 质检员意见
    */
    private String qcremark;

    /**
    * 审核员意见
    */
    private String auditremark;

    /**
    * 备注
    */
    private String remark;
}