package com.smppw.analysis.domain.dataobject;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
    * 分类周指标信息表
    */
@Data
public class IndexesRzIndexDo {
    /**
    * ID自增，没意义
    */
    private Integer id;

    /**
    * 指数ID与index_profile的index_id关联
    */
    private String indexId;

    /**
    * 指数代码来源于indexes_profile
    */
    private String indexCode;

    /**
    * 指数截止月份
    */
    private Date endDate;

    /**
    * 本周属于的年份
    */
    private Integer yearofweek;

    /**
    * 一年中的第N周
    */
    private Integer weeks;

    /**
    * 策略，来源于d_strategy
    */
    private Integer strategy;

    /**
    * 子策略id
    */
    private Integer substrategy;

    /**
    * 三级策略
    */
    private Integer thirdStrategy;

    /**
    * 上一期指数值
    */
    private BigDecimal lastIndexValue;

    /**
    * 本期指数
    */
    private BigDecimal indexValue;

    /**
    * 指数周收益
    */
    private BigDecimal ret1w;

    /**
    * 纳入指数计算基金数量
    */
    private Integer inclCalFundCount;

    /**
    * 基金总数量
    */
    private Integer totalFundCount;

    /**
    * 是否是主策略周指数,0表示是主策略周指数，1表示是子策略周指数
    */
    private Integer isstrategy;

    /**
    * 创建者Id,默认第一次创建者名称，创建后不变更
    */
    private Integer creatorid;

    /**
    * 创建时间,默认第一次创建的getdate()时间
    */
    private Date createtime;

    /**
    * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
    */
    private Integer updaterid;

    /**
    * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
    */
    private Date updatetime;

    /**
    * 记录的有效性；1-有效；0-无效；
    */
    private Integer isvalid;
}