package com.smppw.analysis.domain.dataobject;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
    * 主要指数表
    */
@Data
public class MarketIndexesDo {
    private Integer id;

    /**
    * 指数类别id
    */
    private String indexId;

    /**
    * 指数代码
    */
    private String indexCode;

    /**
    * 日期
    */
    private Date priceDate;

    /**
    * 前收盘价
    */
    private BigDecimal preclose;

    /**
    * 开盘价
    */
    private BigDecimal open;

    /**
    * 最高价
    */
    private BigDecimal high;

    /**
    * 最低价
    */
    private BigDecimal low;

    /**
    * 收盘价
    */
    private BigDecimal close;

    /**
    * 成交量(万股)
    */
    private BigDecimal tradeVolumen;

    /**
    * 成交金额(万元)
    */
    private BigDecimal tradeAmount;

    /**
    * 涨跌
    */
    private BigDecimal waveRange;

    /**
    * 涨跌幅(%)
    */
    private BigDecimal dayPriceLimit;

    /**
    * 久期
    */
    private BigDecimal duration;

    /**
    * 凸性
    */
    private BigDecimal convexity;

    /**
    * 到期收益率(%)
    */
    private BigDecimal retFinal;

    /**
    * 平均票面利率(%)
    */
    private BigDecimal avgCouponRate;

    /**
    * 创建者Id,默认第一次创建者名称，创建后不变更
    */
    private Integer creatorid;

    /**
    * 创建时间,默认第一次创建的getdate()时间
    */
    private Date createtime;

    /**
    * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
    */
    private Integer updaterid;

    /**
    * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
    */
    private Date updatetime;

    /**
    * 记录的有效性；1-有效；0-无效；
    */
    private Byte isvalid;
}