package com.smppw.analysis.domain.dataobject;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangzaijun
 * @date 2023/6/9 9:59
 * @description 公募基金持有人结构数据库实体
 */
@Setter
@Getter
public class PubliclyFundHolderInfoDO {
    /**
     *
     */
    private String fundId;
    /**
     *
     */
    private Date endDate;
    /**
     * 个人持有比例
     */
    private BigDecimal individualHoldRatio;
    /**
     * 个人持有份额
     */
    private BigDecimal individualHoldShares;
    /**
     * 机构持有比例
     */
    private BigDecimal institutionHoldRatio;
    /**
     * 机构持有份额
     */
    private BigDecimal institutionHoldShares;
    /**
     * ETF基金持有比例
     */
    private BigDecimal etfFeederHoldRatio;
    /**
     * ETF基金持有份额
     */
    private BigDecimal etfFeederHoldShares;
    /**
     * 内部持有比例
     */
    private BigDecimal professionalHoldRatio;
    /**
     * 内部持有份额
     */
    private BigDecimal professionalHoldShares;
    /**
     * 前十大持有人持有份额合计
     */
    private BigDecimal top10HolderAmount;
    /**
     * 前十大持有人持有比例合计
     */
    private BigDecimal top10HoldersProportion;
    /**
     * 户均持有份额
     */
    private BigDecimal averageHoldShares;
    /**
     * 持有人户数
     */
    private Integer holderAccountNumber;
    /**
     * 未明确投资者持有份额
     */
    private BigDecimal undefinedHoldShares;
}
