package com.smppw.analysis.domain.dto.performance;

import com.smppw.common.pojo.enums.Frequency;
import com.smppw.constants.Consts;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/8/4 10:17
 * @description 多标的的分析基础参数
 */
@Setter
@Getter
public abstract class BaseMultiParams implements Params {
    private static final long serialVersionUID = Consts.DEFAULT_SERIAL_VERSION_UID;
    /**
     * 标的id，包括基金、机构和经理
     */
    private List<String> refIds;
    /**
     * 基准
     */
    private String benchmarkId;
    /**
     * 频率
     */
    private Frequency frequency;
    /**
     * 开始日期
     */
    private String startDate;
    /**
     * 结束日期
     */
    private String endDate;
}
