package com.smppw.analysis.domain.dto.performance;

import com.smppw.common.pojo.enums.Frequency;
import com.smppw.common.pojo.enums.NavType;
import com.smppw.common.pojo.enums.RaiseType;
import com.smppw.common.pojo.enums.TimeRange;
import com.smppw.constants.Consts;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/3/3 17:25
 * @description 基金详情页接口公共请求参数
 */
@Setter
@Getter
public abstract class BaseParams implements Params {
    private static final long serialVersionUID = Consts.DEFAULT_SERIAL_VERSION_UID;
    /**
     * 标的id，包括基金、机构和经理
     */
    private List<String> refIds;
    /**
     * 基准
     */
    private String benchmarkId;
    /**
     * 对比指数
     */
    private List<String> secIds;
    /**
     * 净值类型
     */
    private NavType navType;
    /**
     * 时段
     */
    private TimeRange timeRange;
    /**
     * 频率
     */
    private Frequency frequency;
    /**
     * 标的类型
     */
    private RaiseType raiseType;
    /**
     * 二级策略
     */
    private String strategy;
    /**
     * 开始日期
     */
    private String startDate;
    /**
     * 结束日期
     */
    private String endDate;
}
