package com.smppw.analysis.domain.dto.performance;

import cn.hutool.core.collection.CollUtil;
import com.smppw.common.pojo.enums.Frequency;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/8/4 10:13
 * @description 基础参数
 */
public interface Params extends Serializable {
    /**
     * 单标的时传一个，多标的时多个
     *
     * @return /
     */
    List<String> getRefIds();

    String getBenchmarkId();

    Frequency getFrequency();

    String getStartDate();

    String getEndDate();

    default boolean multiSec() {
        return CollUtil.isNotEmpty(this.getRefIds()) && this.getRefIds().size() > 1;
    }
}
