package com.smppw.analysis.domain.dto.performance;

import lombok.*;

import java.util.List;

@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class WinVO {
    /**
     * 胜率
     */
    private WinData win;
    /**
     * 市场特征胜率
     */
    private List<WinData> marketWin;

    @Setter
    @Getter
    @Builder
    public static class WinData {
        /**
         * 时段(震荡、上涨、下跌、全时段)
         */
        private String dateType;
        /**
         * 胜率
         */
        private String winRate;
        private String meanRet;
        private String benchmarkMeanRet;
        private String excessMeanRet;
        /**
         * 跑赢次数
         */
        private String winItem;
        /**
         * 跑输次数
         */
        private String lossItem;
        /**
         * 周期数
         */
        private String totalItem;
    }
}
