package com.smppw.analysis.domain.dto.position;

import com.smppw.common.pojo.ValueLabelVO;

import java.util.Arrays;

/**
 * @author wangzaijun
 * @date 2023/6/6 13:52
 * @description 资产大类枚举
 */
public enum AssetCategoryEnum {
    STOCK("股票"),
    BOND("债券"),
    FUND("基金"),
    FUTURE("期货及衍生品");

    private final String name;

    AssetCategoryEnum(String name) {
        this.name = name;
    }

    public static AssetCategoryEnum getAssetCategory(String key) {
        return Arrays.stream(AssetCategoryEnum.values()).filter(e -> key.equals(e.name())).findFirst().orElse(null);
    }

    public static ValueLabelVO buildValueLabelByAsset(AssetCategoryEnum categoryEnum) {
        if (categoryEnum == null) {
            return null;
        }
        return new ValueLabelVO(categoryEnum.name(), categoryEnum.getName());
    }

    public String getName() {
        return name;
    }
}
