package com.smppw.analysis.domain.dto.position;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/6/6 15:35
 * @description 行业、风格或流动性 对应的多头、空头和多空数据对象
 */
@Setter
@Getter
public class CategoryConstraint {
    /**
     * 行业id或风格或流动性
     */
    private ValueLabelVO category;
    /**
     * 多头
     */
    private BigDecimal bull;
    /**
     * 空头
     */
    private BigDecimal bear;
    /**
     * 净比例
     */
    private BigDecimal pupil;
    /**
     * 基准同行业或同风格或同流动性权重之和
     */
    private BigDecimal benchmark;
}
