package com.smppw.analysis.domain.dto.position;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/6/9 17:46
 * @description 持仓成分对应日期的行业、风格或流动性的id名称、以及权重
 */
@Setter
@Getter
@Builder
public class CompositionCategory {
    /**
     * 成分流通代码
     */
    private String secCode;
    /**
     * 行业、风格或流动性唯一标识
     */
    private ValueLabelVO category;
    /**
     * 权重（占净值比）
     */
    private BigDecimal ratio;
}
