package com.smppw.analysis.domain.dto.position;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/6/7 16:29
 * @description 基金在区间内的基本信息，包括估值日期、资产总值、净资产值
 */
@Setter
@Getter
public class FundPositionBaseInfo {
    /**
     * 基金id
     */
    private String fundId;
    /**
     * 估值日期
     */
    private String date;
    /**
     * 总资产
     */
    private BigDecimal totalAsset;
    /**
     * 基金净资产值
     */
    private BigDecimal assetNv;
    /**
     * 基金的估值增值
     */
    private BigDecimal increment;
}
