package com.smppw.analysis.domain.dto.position;

import com.smppw.common.pojo.ValueLabelVO;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/6/7 9:41
 * @description 基金持仓信息，包含关键的基本数据
 */
public class FundPositionDetail {
    /**
     * 基金id
     */
    private String fundId;
    /**
     * 基金类型
     */
    private String fundType;
    /**
     * 私募基金估值表科目代码，用来识别子类或区分子类
     */
    private String subjectCode;
    /**
     * 私募基金估值表科目级别
     */
    private Integer level;
    /**
     * 二级类型
     */
    private Integer subType;
    /**
     * 估值日期
     */
    private String date;
    /**
     * 持仓成份的id和name
     */
    private ValueLabelVO ref;
    /**
     * 资产大类的名称映射关系
     */
    private ValueLabelVO asset;
    /**
     * 成本
     */
    private BigDecimal cost;
    /**
     * 市值
     */
    private BigDecimal marketValue;
    /**
     * 占净值比
     */
    private BigDecimal ratioNv;
    /**
     * 数量
     */
    private BigDecimal number;
    /**
     * 数量变化=本期数量-上期数量
     */
    private BigDecimal numberChange;
    /**
     * 估值增值
     */
    private BigDecimal valueChange;
    /**
     * 增值比例=单个标的的【估值增值】/基金整体的【估值增值】
     */
    private BigDecimal valueChangeRatio;
    /**
     * 停牌信息
     */
    private String suspension;
    /**
     * 多空方向,1-多 2-空
     */
    private Integer sharesNature;

    /**
     * 标的唯一编码id  SE000005GY 类似这种
     */
    private String secId;

    public String getFundId() {
        return fundId;
    }

    public void setFundId(String fundId) {
        this.fundId = fundId;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public ValueLabelVO getRef() {
        return ref;
    }

    public void setRef(ValueLabelVO ref) {
        this.ref = ref;
    }

    public ValueLabelVO getAsset() {
        return asset;
    }

    public void setAsset(ValueLabelVO asset) {
        this.asset = asset;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public BigDecimal getMarketValue() {
        return marketValue;
    }

    public void setMarketValue(BigDecimal marketValue) {
        this.marketValue = marketValue;
    }

    public BigDecimal getRatioNv() {
        return ratioNv;
    }

    public void setRatioNv(BigDecimal ratioNv) {
        this.ratioNv = ratioNv;
    }

    public BigDecimal getNumber() {
        return number;
    }

    public void setNumber(BigDecimal number) {
        this.number = number;
    }

    public BigDecimal getNumberChange() {
        return numberChange;
    }

    public void setNumberChange(BigDecimal numberChange) {
        this.numberChange = numberChange;
    }

    public BigDecimal getValueChange() {
        return valueChange;
    }

    public void setValueChange(BigDecimal valueChange) {
        this.valueChange = valueChange;
    }

    public BigDecimal getValueChangeRatio() {
        return valueChangeRatio;
    }

    public void setValueChangeRatio(BigDecimal valueChangeRatio) {
        this.valueChangeRatio = valueChangeRatio;
    }

    public String getSuspension() {
        return suspension;
    }

    public void setSuspension(String suspension) {
        this.suspension = suspension;
    }

    public Integer getSharesNature() {
        return sharesNature;
    }

    public void setSharesNature(Integer sharesNature) {
        this.sharesNature = sharesNature;
    }

    public String getSecId() {
        return secId;
    }

    public void setSecId(String secId) {
        this.secId = secId;
    }

    public String getFundType() {
        return fundType;
    }

    public void setFundType(String fundType) {
        this.fundType = fundType;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getSubType() {
        return subType;
    }

    public void setSubType(Integer subType) {
        this.subType = subType;
    }
}
