package com.smppw.analysis.domain.dto.position;

import java.util.stream.Stream;


public enum HoldingType {
    Cash(2, "现金"),
    CostCash(20, "冲抵现金"),
    Stock(0, "股票"),
    StockSZH(110, "深港通"),
    StockSHH(111, "沪港通"),
    StockHGT(112, "港股通"),
    Bond(1, "债券"),
    BondBack(5, "正逆回购"),
    Derivatives(7, "其他衍生品"),
    Future(3, "期货"),
    IndexFuture(31, "股指期货"),//子类
    CmdtFuture(32, "商品期货"),//子类
    BondFuture(33, "国债期货"), //子类
    Option(4, "期权"),
    IndexOption(41, "股指期权"), //子类
    CmdtOption(42, "期货期权"), //子类
    Fund(6, "基金"),
    FundPrivate(61, "私募基金"),//子类
    Warrant(21, "权证"),
    Other(99, "其他"),
    All(-1, "全部"),//方便过滤
    Tail(100, "尾部");

    private final int id;
    private final String name;

    public int getId() {
        return id;
    }

    HoldingType(int id, String name2) {
        this.id = id;
        this.name = name2;
    }

    public static HoldingType getHoldingType(int id) {
        return Stream.of(HoldingType.values()).filter(e -> e.id == id).findFirst().orElse(null);
    }

    public String getName() {
        return name;
    }

    public boolean isTrue(int stockType) {
        return this.id == stockType;
    }
}
