package com.smppw.analysis.domain.dto.position;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/6/6 11:41
 * @description 标的 市值与占净值比 对象
 */
@Setter
@Getter
public class RefMarketValueRatio {
    /**
     * 标的id 和名称映射
     */
    private ValueLabelVO ref;
    /**
     * 市值
     */
    private BigDecimal marketValue;
    /**
     * 占净值比
     */
    private BigDecimal ratio;

    /**
     * 标的id  SE000005GX
     * 删除这个字段，债券分析得修改掉
     */
    @Deprecated
    private String secId;

    public RefMarketValueRatio() {
    }

    public RefMarketValueRatio(ValueLabelVO ref, BigDecimal marketValue, BigDecimal ratio) {
        this.ref = ref;
        this.marketValue = marketValue;
        this.ratio = ratio;
    }

    public RefMarketValueRatio(ValueLabelVO ref, BigDecimal marketValue, BigDecimal ratio,String secId) {
        this.ref = ref;
        this.marketValue = marketValue;
        this.ratio = ratio;
        this.secId = secId;
    }
}
