package com.smppw.analysis.domain.dto.position;

import com.smppw.common.pojo.ValueLabelVO;

/**
 * @author wangzaijun
 * @date 2023/6/13 10:35
 * @description 股票风险敞口 枚举
 */
public enum RiskExposureEnum {
    STOCK_BULL("股票多头"),
    FUTURE_BULL("股指多头"),
    STOCK_BEAR("股票空头"),
    FUTURE_BEAR("股指空头"),
    ETF("ETF融券"),
    // 前端展示
    EXPOSURE("风险敞口");
    private final String desc;

    RiskExposureEnum(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public static ValueLabelVO getValueLabel(RiskExposureEnum exposureEnum) {
        return new ValueLabelVO(exposureEnum.name(), exposureEnum.getDesc());
    }
}
