package com.smppw.analysis.domain.dto.position.bond;

import com.smppw.common.pojo.ValueLabelVO;
import com.smppw.analysis.domain.dto.position.RefMarketValueRatio;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/6/6 16:31
 * @description 债券业绩归因 接口请求参数
 */
@Setter
@Getter
public class BondPerformanceAttributionVO {
    /**
     * 估值日期
     */
    private String date;
    /**
     * 每个债券类型或个债效应、市值和占净值比
     */
    private List<Effect> effect;

    /**
     * @author wangzaijun
     * @date 2023/6/6 16:53
     * @description 每个行业的效应、市值和占净值比数据
     */
    @Setter
    @Getter
    public static class Effect extends RefMarketValueRatio {
        /**
         * 总效应
         */
        private String total;
        /**
         * 息票效应
         */
        private String coupon;
        /**
         * 收敛效应
         */
        private String convergence;
        /**
         * 收入效应
         */
        private String income;
        /**
         * 国债效应
         */
        private String debt;
        /**
         * 利差效应
         */
        private String creditSpread;
        /**
         * 择券效应
         */
        private String selectBound;

        public Effect() {
            super();
        }

        public Effect(ValueLabelVO ref, BigDecimal marketValue, BigDecimal ratio) {
            super(ref, marketValue, ratio);
        }
    }
}
