package com.smppw.analysis.domain.dto.position.bond;

import com.smppw.common.pojo.ValueLabelVO;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/6/6 11:41
 * @description 标的 市值与占净值比 对象
 */
public class RefBondMarketValueRatio {
    /**
     * 标的id 和名称映射
     */
    private ValueLabelVO ref;
    /**
     * 市值
     */
    private BigDecimal marketValue;
    /**
     * 占净值比
     */
    private BigDecimal ratio;

    /**
     * 标的id  SE000005GX
     */
    private String secId;

    /**
     * 债券类型
     */
    private String bondType;

    /**
     * 发行票面利率
     */
    private BigDecimal nominalInterestRate;

    /**
     * 债券评级
     */
    private String creditRating;

    /**
     * 剩余期限
     */
    private Double remainder;

    /**
     * 主体名称
     */
    private String industryName;

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public Double getRemainder() {
        return remainder;
    }

    public void setRemainder(Double remainder) {
        this.remainder = remainder;
    }

    public RefBondMarketValueRatio() {
    }

    public ValueLabelVO getRef() {
        return ref;
    }

    public void setRef(ValueLabelVO ref) {
        this.ref = ref;
    }

    public BigDecimal getMarketValue() {
        return marketValue;
    }

    public void setMarketValue(BigDecimal marketValue) {
        this.marketValue = marketValue;
    }

    public BigDecimal getRatio() {
        return ratio;
    }

    public void setRatio(BigDecimal ratio) {
        this.ratio = ratio;
    }

    public String getSecId() {
        return secId;
    }

    public void setSecId(String secId) {
        this.secId = secId;
    }

    public String getBondType() {
        return bondType;
    }

    public void setBondType(String bondType) {
        this.bondType = bondType;
    }

    public BigDecimal getNominalInterestRate() {
        return nominalInterestRate;
    }

    public void setNominalInterestRate(BigDecimal nominalInterestRate) {
        this.nominalInterestRate = nominalInterestRate;
    }

    public String getCreditRating() {
        return creditRating;
    }

    public void setCreditRating(String creditRating) {
        this.creditRating = creditRating;
    }
}
