package com.smppw.analysis.domain.dto.position.bond;

import com.smppw.common.pojo.ValueLabelVO;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/6/6 11:41
 * @description 标的 市值与占净值比 对象
 */
public class RefCreditMarketValueRatio {
    /**
     * 标的id 和名称映射
     */
    private ValueLabelVO ref;
    /**
     * 市值
     */
    private BigDecimal marketValue;
    /**
     * 占净值比
     */
    private BigDecimal ratio;

    /**
     * 标的id  SE000005GX
     */
    private String secId;

    /**
     * 债券主体id
     */
    private String mainCode;

    /**
     * 上一次评级时间
     */
    private String lastCrDate;

    /**
     * 最近一次评级时间
     */
    private String nearestCrDate;

    /**
     * 上一次评级编码
     */
    private String lastCrCode;

    /**
     * 最近一次评级编码
     */
    private String nearestCrCode;

    /**
     * 上一次评级描述
     */
    private String lastCrDesc;

    /**
     * 最近一次评级描述
     */
    private String nearestCrDesc;

    /**
     * 评级展望
     */
    private String crAnticipate;

    /**
     * 主体名称
     */
    private String industryName;

    /**
     * 个券占净值比
     */
    private BigDecimal ratioPerBond;

    public BigDecimal getRatioPerBond() {
        return ratioPerBond;
    }

    public void setRatioPerBond(BigDecimal ratioPerBond) {
        this.ratioPerBond = ratioPerBond;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public String getLastCrDesc() {
        return lastCrDesc;
    }

    public void setLastCrDesc(String lastCrDesc) {
        this.lastCrDesc = lastCrDesc;
    }

    public String getNearestCrCode() {
        return nearestCrCode;
    }

    public void setNearestCrCode(String nearestCrCode) {
        this.nearestCrCode = nearestCrCode;
    }

    public RefCreditMarketValueRatio() {
    }

    public ValueLabelVO getRef() {
        return ref;
    }

    public void setRef(ValueLabelVO ref) {
        this.ref = ref;
    }

    public BigDecimal getMarketValue() {
        return marketValue;
    }

    public void setMarketValue(BigDecimal marketValue) {
        this.marketValue = marketValue;
    }

    public BigDecimal getRatio() {
        return ratio;
    }

    public void setRatio(BigDecimal ratio) {
        this.ratio = ratio;
    }

    public String getSecId() {
        return secId;
    }

    public void setSecId(String secId) {
        this.secId = secId;
    }

    public String getMainCode() {
        return mainCode;
    }

    public void setMainCode(String mainCode) {
        this.mainCode = mainCode;
    }

    public String getLastCrDate() {
        return lastCrDate;
    }

    public void setLastCrDate(String lastCrDate) {
        this.lastCrDate = lastCrDate;
    }

    public String getNearestCrDate() {
        return nearestCrDate;
    }

    public void setNearestCrDate(String nearestCrDate) {
        this.nearestCrDate = nearestCrDate;
    }

    public String getLastCrCode() {
        return lastCrCode;
    }

    public void setLastCrCode(String lastCrCode) {
        this.lastCrCode = lastCrCode;
    }

    public String getNearestCrDesc() {
        return nearestCrDesc;
    }

    public void setNearestCrDesc(String nearestCrDesc) {
        this.nearestCrDesc = nearestCrDesc;
    }

    public String getCrAnticipate() {
        return crAnticipate;
    }

    public void setCrAnticipate(String crAnticipate) {
        this.crAnticipate = crAnticipate;
    }
}
