package com.smppw.analysis.domain.dto.position.future;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/7/26 15:07
 * @description 期货日张跌幅，默认按照日期升序
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class FutureDailyRet implements Comparable<FutureDailyRet> {
    /**
     * 标的
     */
    private String refId;
    /**
     * 交易日
     */
    private String priceDate;
    /**
     * 日张跌幅
     */
    private Double ret;

    @Override
    public int compareTo(FutureDailyRet o) {
        return this.getPriceDate().compareTo(o.getPriceDate());
    }
}
