package com.smppw.analysis.domain.dto.position.stock;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 17:17
 * @description 股票barra敏感度分析 接口返回结果
 */
@Setter
@Getter
public class BarraSensitivityVO {
    /**
     * 日期
     */
    private String date;
    /**
     * 产品所有因子数据
     */
    private RefBarra fund;
    /**
     * 基准所有因子数据
     */
    private RefBarra benchmark;
    /**
     * 敞口走势
     */
    private RefBarra exposure;

    @Setter
    @Getter
    @Builder
    public static class RefBarra {
        /**
         * 当前标的：基金产品、基准和敞口
         */
        private ValueLabelVO ref;
        /**
         * 市值
         */
        private String size;
        /**
         * 贝塔
         */
        private String beta;
        /**
         * 动量
         */
        private String momentum;
        /**
         * 残差波动率
         */
        private String residualVolatility;
        /**
         * 非线性市值
         */
        private String nonLinearSize;
        /**
         * 账面市值比
         */
        private String bootToPriceRatio;
        /**
         * 流动性
         */
        private String liquidity;
        /**
         * 盈利能力
         */
        private String earningsYield;
        /**
         * 成长
         */
        private String growth;
        /**
         * 杠杆
         */
        private String leverage;
    }
}
