package com.smppw.analysis.domain.dto.position.synthesize;

import cn.hutool.core.text.CharSequenceUtil;
import com.smppw.analysis.domain.dto.position.AssetCategoryEnum;
import com.smppw.analysis.domain.dto.position.BaseParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 11:30
 * @description 持仓列表，后续需要支持穿透
 */
@Setter
@Getter
public class PositionListParams extends BaseParams {
    /**
     * 数量，前10、前20、前50，-1-全部，默认前10
     */
    private String num;
    /**
     * 类别
     *
     * @see AssetCategoryEnum
     */
    private String type;
    /**
     * 估值日期
     */
    private String date;
    /**
     * 是否穿透，最多4级
     */
    private Boolean penetrate;

    public AssetCategoryEnum getAssetCategory() {
        if (CharSequenceUtil.isBlankOrUndefined(this.type)) {
            return null;
        }
        return AssetCategoryEnum.getAssetCategory(this.type);
    }
}
