package com.smppw.analysis.domain.dto.style;

import com.smppw.common.pojo.enums.Frequency;
import com.smppw.common.pojo.enums.RaiseType;
import com.smppw.constants.Consts;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author wangzaijun
 * @date 2023/3/13 20:28
 * @description 风格评测 公共参数
 */
@Setter
@Getter
public abstract class BaseParams implements Serializable {
    private static final long serialVersionUID = Consts.DEFAULT_SERIAL_VERSION_UID;

    /**
     * 标的id，包括基金、机构行业经理
     */
    private String secId;
    /**
     * 开始日期
     */
    private String startDate;
    /**
     * 结束日期
     */
    private String endDate;
    /**
     * 滚动期数，默认24期
     */
    private String winlen;
    /**
     * 滚动步长，默认1
     */
    private String step;
    /**
     * 净值频率
     */
    private Frequency frequency;

    private RaiseType raiseType;

    private String strategy;

    public Frequency getFrequency() {
        return frequency == Frequency.Default ? Frequency.Daily : this.frequency;
    }
}
