package com.smppw.analysis.domain.dto.style;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@Setter
@Getter
@Builder
public class FundStyleVO {
    private Chart1 chart1;
    private Chart2 chart2;

    @Getter
    @Builder
    public static class Chart1 {
        private final List<Map<String, Object>> dataset;
        private final Map<String, String> chartProductNameMapping;
    }

    @Getter
    @Builder
    public static class Chart2 {
        private final DataSet dataset;
        private final Map<String, String> chartProductNameMapping;
        @JsonProperty("R-squared")
        private final String r2;
    }

    @Getter
    public static class DataSet {
        private final Map<String, Object> risk;
        private final Map<String, Object> profit;

        public DataSet(Map<String, Object> risk, Map<String, Object> profit) {
            this.risk = risk;
            this.profit = profit;
        }
    }
}
