package com.smppw.analysis.domain.dto.style.py;

import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import lombok.Builder;

import java.util.Map;

@Builder
public class PyReq {
    private final String taskId;
    private final String api;
    private final String method;
    private final Boolean json;
    private final Map<String, Object> params;

    public String getTaskId() {
        return taskId;
    }

    public String getApi() {
        return api;
    }

    public String getMethod() {
        return StrUtil.isBlank(this.method) ? "post" : this.method;
    }

    public boolean getJson() {
        return json == null || json == Boolean.TRUE;
    }

    public Map<String, Object> getParams() {
        return params == null ? MapUtil.newHashMap() : params;
    }
}
