package com.smppw.analysis.domain.gateway;

import cn.hutool.core.map.MapUtil;
import org.springframework.stereotype.Component;

import java.util.Map;
import java.util.Set;

@Component
public class CacheFactory {
    public static final String MEMORY = "memory";
    public static final String REDIS = "redis";
    private static final Map<String, CacheGateway<Object>> CACHE_GATEWAY_STRATEGY = MapUtil.newHashMap(8);

    public CacheFactory(Map<String, CacheGateway<Object>> map) {
        CACHE_GATEWAY_STRATEGY.putAll(map);
    }

    public CacheGateway<Object> getCacheGateway(String key) {
        Set<String> keys = CACHE_GATEWAY_STRATEGY.keySet();
        if (!keys.contains(key)) {
            key = MEMORY;
        }
        return CACHE_GATEWAY_STRATEGY.get(key);
    }
}
