package com.smppw.analysis.domain.gateway;

import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * @author wangzaijun
 * @date 2023/8/4 8:57
 * @description 缓存工具，支持普通字符串缓存和hash缓存
 */
public interface CacheGateway<V> {
    Boolean hasKey(String key);

    boolean expire(String key, long ttl, TimeUnit timeUnit);

    boolean set(String key, V value);

    boolean set(String key, V value, long ttl, TimeUnit timeUnit);

    V get(String key);

    void delete(List<String> keys);

    boolean hset(String key, Map<String, V> values);

    boolean hset(String key, String item, V value);

    boolean hset(String key, String item, V value, long ttl, TimeUnit timeUnit);

    Map<String, V> hget(String key);

    V hget(String key, String item);
}
