package com.smppw.analysis.domain.manager.position;

import com.smppw.analysis.domain.dto.position.BaseParams;

/**
 * @author wangzaijun
 * @date 2023/7/14 17:07
 * @description 持仓分析业务处理接口
 */
public interface BizHandler<P extends BaseParams, R> {
    R bizHandle(P params);

    /**
     * 获取执行时长
     *
     * @return 时长，单位ms
     */
    default long getExecuteTime() {
        return 0L;
    }
}
