package com.smppw.analysis.domain.manager.position;

import com.smppw.analysis.domain.dto.position.BaseParams;
import com.smppw.analysis.domain.dto.position.FundPositionBaseInfo;
import com.smppw.analysis.domain.dto.position.FundPositionDetail;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/6/7 9:33
 * @description 数据加载接口，提供统一的获取规定数据的接口
 */
public interface PositionLoad {
    /**
     * 获取基金持仓基本信息，包括总资产、资产净值等
     *
     * @param params 请求参数
     * @param <P>    类型参数
     * @return 区间内每个估值日期的基本信息
     */
    <P extends BaseParams> List<FundPositionBaseInfo> getFundPositionBaseInfo(P params);

    /**
     * 获取基金持仓详情，后续可以把市值、占比和标的提取出来，加快部分接口接口响应
     *
     * @param <P>    类型参数
     * @param params 请求参数
     * @return 区间内每个估值日期的成份持仓详情
     */
    <P extends BaseParams> List<FundPositionDetail> loadPositionDetail(P params);
}
