//package com.smppw.analysis.domain.manager.position;
//
//import cn.hutool.core.collection.ListUtil;
//import cn.hutool.core.date.DateUtil;
//import cn.hutool.core.util.StrUtil;
//import com.smppw.analysis.domain.dto.position.*;
//import org.springframework.stereotype.Component;
//
//import java.math.BigDecimal;
//import java.util.List;
//
///**
// * @author wangzaijun
// * @date 2023/6/7 9:52
// * @description 私募基金持仓数据获取逻辑，私募基金的支持会在基础上做自建基金，不直接支持私募基金的持仓分析
// */
//@Component(SecType.PRIVATELY_OFFERED_FUND)
//public class PrivatelyFundPositionLoad extends AbstractPositionLoad {
//    private final CmFundPositionService cmFundPositionService;
//
//    public PrivatelyFundPositionLoad(CmFundPositionService cmFundPositionService) {
//        this.cmFundPositionService = cmFundPositionService;
//    }
//
//    @Override
//    public <P extends BaseParams> List<FundPositionBaseInfo> getFundPositionBaseInfo(P params) {
//        List<CmUserValuationTableDO> dataList = this.cmFundPositionService.fundPositionBaseInfos(params.getFundId(),
//                params.getStartDate(), params.getEndDate());
//        List<FundPositionBaseInfo> resultList = ListUtil.list(false);
//        for (CmUserValuationTableDO temp : dataList) {
//            if (temp == null || temp.getValuationDate() == null) {
//                continue;
//            }
//            FundPositionBaseInfo info = new FundPositionBaseInfo();
//            info.setFundId(temp.getFundId());
//            info.setDate(DateUtil.formatDate(temp.getValuationDate()));
//            info.setTotalAsset(temp.getTotalMarketValue());
//            info.setAssetNv(temp.getNetAssetMarketValue());
//            info.setIncrement(temp.getIncrement());
//            resultList.add(info);
//        }
//        return resultList;
//    }
//
//    @Override
//    public <P extends BaseParams> List<FundPositionDetail> loadPositionDetail(P params) {
//        List<CmFundPositionDetailDO> dataList = this.cmFundPositionService.fundPositionDetailList(params.getFundId());
//        List<FundPositionDetail> resultList = ListUtil.list(false);
//        for (CmFundPositionDetailDO temp : dataList) {
//            if (temp == null || temp.getValuationDate() == null || temp.getSecuritiesCode() == null || temp.getSubType() == null) {
//                continue;
//            }
//            FundPositionDetail detail = new FundPositionDetail();
//            detail.setFundId(temp.getFundId());
//            detail.setFundType(SecType.PRIVATELY_OFFERED_FUND);
//            detail.setSubjectCode(temp.getSubjectCode());
//            detail.setLevel(temp.getLevel());
//            detail.setSubType(temp.getSubType());
//            String date = DateUtil.formatDate(temp.getValuationDate());
//            detail.setDate(date);
//            detail.setRef(new ValueLabelVO(temp.getSecuritiesCode(), temp.getSecuritiesName()));
//            detail.setAsset(this.buildAssetValueLabel(temp));
//            detail.setMarketValue(temp.getMarketValue());
//            detail.setRatioNv(temp.getMarketValueRatio());
//            detail.setNumber(temp.getSecuritiesAmount());
//            BigDecimal increment = temp.getIncrement();
//            detail.setValueChange(increment);
//            detail.setCost(temp.getNetCost());
//            detail.setSuspension(temp.getHaltInfo());
//            detail.setSharesNature(temp.getLongShort());
//            detail.setSecId(temp.getSecId());
//            resultList.add(detail);
//        }
//        // 分组合并数据，统一给私募基金做轧差处理
////        List<FundPositionDetail> newResultList = ListUtil.list(false);
////        List<FundPositionDetail> collect = resultList.stream()
////                .filter(e -> e.getSubType() == null || e.getSubType() == 20).collect(Collectors.toList());
////        if (CollUtil.isNotEmpty(collect)) {
////            newResultList.addAll(collect);
////        }
////        resultList.stream().filter(e -> e.getSubType() != null && e.getSubType() != 20)
////                .collect(Collectors.groupingBy(e -> e.getDate() + e.getRef().toString()))
////                .forEach((ref, transfer) -> transfer.stream().reduce((a, b) -> {
////                    a.setMarketValue(a.getMarketValue().add(b.getMarketValue()));
////                    a.setRatioNv(a.getRatioNv().add(b.getRatioNv()));
////                    a.setNumber(a.getNumber().add(b.getNumber()));
////                    a.setValueChange(a.getValueChange().add(b.getValueChange()));
////                    a.setCost(a.getCost().add(b.getCost()));
////                    a.setSuspension(a.getSuspension());
////                    a.setSharesNature(1); // 合并后全为1
////                    a.setSecId(a.getSecId());
////                    return a;
////                }).ifPresent(newResultList::add));
////        newResultList.sort(Comparator.comparing(FundPositionDetail::getDate));
//        return resultList;
//    }
//
//    /**
//     * 构建资产类别关系映射
//     *
//     * @param detail 持仓详情信息
//     * @return 资产类别关系映射
//     */
//    private ValueLabelVO buildAssetValueLabel(CmFundPositionDetailDO detail) {
//        Integer secType = detail.getSecType();
//        String subjectCode = detail.getSubjectCode();
//        if (secType == null) {
//            return null;
//        }
//        AssetCategoryEnum categoryEnum = null;
//        if (secType == 0) {
//            categoryEnum = AssetCategoryEnum.STOCK;
//        } else if (secType == 1 && !StrUtil.containsAny(subjectCode, PositionConstants.SALE_CODES)) {
//            // 去掉债券下的正回购和逆回购
//            categoryEnum = AssetCategoryEnum.BOND;
//        } else if (secType == 3 || secType == 7) {
//            categoryEnum = AssetCategoryEnum.FUTURE;
//        } else if (secType == 6) {
//            categoryEnum = AssetCategoryEnum.FUND;
//            // 去掉现金
////        } else if (secType == 2) {
////            categoryEnum = AssetCategoryEnum.CASH;
//        }
//        return AssetCategoryEnum.buildValueLabelByAsset(categoryEnum);
//    }
//}
