package com.smppw.analysis.domain.mapper;


import com.smppw.analysis.domain.dataobject.IndexesProfileDo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface IndexesProfileDoMapper {

    List<String> listThirdIndexes();

    List<IndexesProfileDo> listFundIdAndFundShortName(@Param("indexIdList") List<String> indexIdList);

    List<IndexesProfileDo> listInfoByIndexIdList(@Param("indexIdList") List<String> indexIdList);

    /**
     * 获取指数名称
     *
     * @param indexId 指数id
     * @return 指数名称
     */
    String getIndexNameByIndexId(@Param("indexId") String indexId);

    /**
     * 获取策略对应的指数id
     *
     * @param strategyId 策略id
     * @return /
     */
    String getStrategyIndexId(Integer strategyId);
}