package com.smppw.analysis.domain.mapper;

import com.smppw.analysis.domain.dataobject.MarketIndexesDo;
import com.smppw.common.pojo.dto.NavDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MarketIndexesDoMapper {

    List<MarketIndexesDo> listNavByTimeInterval(@Param("indexIdList") List<String> indexIdList, @Param("startDate") String startDate, @Param("endDate") String endDate,
                                                @Param("needUpdateAndCreateTime") boolean needUpdateAndCreateTime);

    /**
     * 根据指数ID获取指数最新的收盘价日期
     *
     * @param indexIds
     * @return
     */
    List<NavDto> getLatestInfoByIndexId(@Param("indexIds") List<String> indexIds);

    /**
     * 获取指数id指定日期的收盘价
     *
     * @param indexId       指数id
     * @param priceDateList 指定日期列表
     * @return 指定日期的收盘价
     */
    List<MarketIndexesDo> selectIndexNavByPriceDate(@Param("indexId") String indexId, @Param("priceDateList") List<String> priceDateList);
}