package com.smppw.analysis.domain.mapper;

import com.smppw.analysis.domain.dataobject.NavDo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
public interface NavDoMapper {

    List<NavDo> listNavByTimeInterval(@Param("fundIdList") List<String> fundIdList, @Param("startDate") String startDate, @Param("endDate") String endDate,
                                      @Param("navFieldSql") String navFieldSql, @Param("needUpdateAndCreateTime") boolean needUpdateAndCreateTime);

    /**
     * 获取基金净值更新时间 大于 传入的开始时间的基金id
     *
     * @param startTime 开始时间
     * @return 基金id列表
     */
    List<NavDo> selectFundIdByStartTime(@Param("startTime") Date startTime);

}