package com.smppw.analysis.domain.mapper;

import com.smppw.analysis.domain.dataobject.FundPositionBaseInfoDO;
import com.smppw.analysis.domain.dataobject.FundPositionDetailDO;
import com.smppw.analysis.domain.dataobject.PubliclyFundHolderInfoDO;
import com.smppw.analysis.domain.dataobject.PubliclyFundStockChangeDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author wangzaijun
 * @date 2023/6/9 10:11
 * @description 公募基金信息mapper
 */
@Repository
public interface PubliclyFundExtInfoMapper {
    List<FundPositionDetailDO> queryPositionDetails(String fundId);

    List<FundPositionBaseInfoDO> queryPositionBaseInfos(@Param("fundId") String fundId, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<PubliclyFundHolderInfoDO> mfHolderInfoList(@Param("fundId") String fundId, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<PubliclyFundStockChangeDO> mfStockChangeList(@Param("fundId") String fundId, @Param("startDate") String startDate, @Param("endDate") String endDate);

    // ------------ 期货的 ----------------------

    Map<String, String> getOptionContract(@Param("securitiesCode") String securitiesCode, @Param("securitiesName") String securitiesName);

    List<Map<String, Object>> getFundMargin(@Param("fundId")String fundId, @Param("startDate") String startDate,@Param("endDate") String endDate);

    List<Map<String, String>> getFundDetailForFuture(@Param("securitiesCode")String securitiesCode, @Param("fundId")String fundId, @Param("valuationDate")String valuationDate);

    List<FundPositionDetailDO> queryPositionDetailsFundMargin(@Param("fundId")String fundId,@Param("startDate") String startDate,@Param("endDate") String endDate);

    List<FundPositionDetailDO> getMFFundPositionDetail(@Param("fundId")String fundId,@Param("startDate") String startDate,@Param("endDate") String endDate);

    List<Map<String, Object>> getValuationDateNv(@Param("fundId")String fundId,@Param("startDate") String startDate,@Param("endDate") String endDate);
}