package com.smppw.analysis.domain.service;

import com.smppw.common.pojo.IStrategy;
import com.smppw.common.pojo.dto.DateValue;
import com.smppw.common.pojo.dto.calc.IndicatorCalcPropertyDto;
import com.smppw.common.pojo.dto.calc.IndicatorCalcTimeRangeDto;
import com.smppw.common.pojo.dto.indicator.CalcMultipleSecMultipleTimeRangeIndicatorReq;
import com.smppw.common.pojo.dto.indicator.DateIntervalDto;
import com.smppw.common.pojo.enums.*;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface BaseIndicatorServiceV2 {
    Map<String, List<IndicatorCalcPropertyDto>> calcMultipleSecMultipleTimeRangeIndicator(CalcMultipleSecMultipleTimeRangeIndicatorReq req);

    Map<String, List<IndicatorCalcPropertyDto>> getMultipleSecTrend(List<String> mainSecIdList, Map<String, String> secBenchmarkIdMap, List<String> indexIdList,
                                                                    DateIntervalDto dateIntervalDto, Frequency frequency, BigDecimal fixedIncome, BigDecimal initValue,
                                                                    Visibility visibility, NavType navType, List<TrendType> trendTypeV2List);

    List<IndicatorCalcTimeRangeDto> getSecTimeRange(String mainSecId, Visibility visibility);

    Map<String, List<IndicatorCalcPropertyDto>> getMultiSecRetListNew(List<String> mainSecIdList, List<String> indexIds, Frequency frequency,
                                                                      Frequency rollingFrequency, String startDate, String endDate, boolean ifExcessReturn,
                                                                      String benchmarkId, RaiseType raiseType, IStrategy strategy,
                                                                      Visibility visible, NavType navType);

    Map<String, List<IndicatorCalcPropertyDto>> getMultiSecRetListNew(List<String> mainSecIdList, List<String> indexIds, Frequency frequency,
                                                                      Frequency rollingFrequency, String startDate, String endDate, boolean ifExcessReturn,
                                                                      String benchmarkId, RaiseType raiseType, IStrategy strategy,
                                                                      Visibility visible, NavType navType, Map<String, List<DateValue>> allNavMap);
}
