package com.smppw.analysis.domain.service;

import com.smppw.analysis.domain.dataobject.FundSimilarDo;
import com.smppw.analysis.domain.dataobject.MonetaryFundProfitDO;
import com.smppw.analysis.domain.dto.info.FundSimilarParams;
import com.smppw.common.pojo.enums.Frequency;
import com.smppw.common.pojo.enums.Indicator;

import java.util.List;
import java.util.Map;

/**
 * @author wangzaijun
 * @date 2023/8/3 15:42
 * @description 基础信息服务
 */
public interface BaseInfoService {
    String getLatestRankRat();

    String getSecType(String secId);

    Map<String, List<String>> getTypeSecMap(List<String> secIdList);

    Map<String, String> querySecsType(List<String> secIdList);

    Map<String, String> querySecName(List<String> allSecIdList);

    Frequency getNavFrequency(String secId);

    List<MonetaryFundProfitDO> queryMonetaryFund(String fundId);

    List<Map<String, Object>> getFundRank(String rankDate, String fundId, List<String> indexIds, Indicator indicator);

    List<FundSimilarDo> getFundSimilarList(FundSimilarParams params);
}
