package com.smppw.analysis.infrastructure.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author wangzaijun
 * @date 2023/8/4 17:35
 * @description 一些系统配置，包括所有的服务的可配置的数据
 */
@Configuration
@ConfigurationProperties(prefix = "smppw.data.analysis")
public class AnalysisProperty {
    /**
     * 远程调用的python接口地址
     */
    private String pyUrl = "http://localhost:8088/";
    /**
     * 缓存类型，支持memory、redis，默认memory
     */
    private String cacheType = "memory";
    /**
     * 签名校验是否可用
     */
    private Boolean enableSign = Boolean.FALSE;

    public String getPyUrl() {
        return pyUrl;
    }

    public void setPyUrl(String pyUrl) {
        this.pyUrl = pyUrl;
    }

    public String getCacheType() {
        return cacheType;
    }

    public void setCacheType(String cacheType) {
        this.cacheType = cacheType;
    }

    public Boolean getEnableSign() {
        return enableSign;
    }

    public void setEnableSign(Boolean enableSign) {
        this.enableSign = enableSign;
    }
}
