package com.smppw.analysis.infrastructure.consts;

/**
 * barra因子相关的常量
 * @author lwq
 */
public final class BarrConstant {

    private BarrConstant(){}

    /**
     * 计算给定时间段的总的业绩归因
     */
    public static final int CONTROL_ZERO = 0;

    /**
     * 计算给定时间段的各个时间点上的的所有Beta值和因子业绩归因
     */
    public static final int CONTROL_ONE = 1;

    /**
     * 敏感度趋势
     */
    public static final int CONTROL_TWO = 2;

    /**
     * 查询因子时固定的参数顺序
     */
    public static final String BARRA_FACTOR_INDEXS = "beta_book-to-price-ratio_earnings-yield_growth_leverage_liquidity_momentum_non-linear-size_residual-volatility_size";
    public static final String FUTURE_INDEXS = "ts22_cs5_cs22_skew22_skew66_ts5_wh22_cv22_tr22_basis22_vol5_vol22";

    /**
     * 股票池为全市场
     */
    public static final String POOL_CACHE_ALL = "all_market";

    /**
     * 请求Python的URL
     */
    public static final String FACTOR_URL = "getBarraSensitivity";

    public static final String FUTURE_URL = "futuresStyle";

    /**
     * R的方
     */
    public static final String R_SQUARED = "r_squared";

    public static final String RSQUARED_S = "rSquared";

    public static final String PRODUCT = "product";

    public static final String EXPOSE = "expose";

    public static final String STATUS = "status";

    public static final String END_DATE = "end_date";
    public static final String SPECIAL_FACTOR_RET = "special_factor_ret";
    public static final String NAV_R_SQUARED = "nav_r_squared";


}
