package com.smppw.analysis.infrastructure.task;

import com.smppw.analysis.domain.mapper.DepositNavDoMapper;
import com.smppw.common.cache.CaffeineLocalCache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class RiskOfFreeIdTask {
    @Autowired
    private DepositNavDoMapper depositNavMasterMapper;

    @Scheduled(initialDelay = 800, fixedRate = 24 * 3600 * 1000)
    private void refreshDate() {

        List<String> riskOfFreeIdList = depositNavMasterMapper.listRiskOfFreeId();

        CaffeineLocalCache.cleanRiskOfFreeId();
        CaffeineLocalCache.addRiskOfFreeId(riskOfFreeIdList);
    }
}
